{
  "name": "webapp",
  "version": "0.1.0",
  "dependencies": {
    "@babel/polyfill": "^7.0.0",
    "@material-ui/core": "^3.3.2",
    "@material-ui/icons": "^3.0.2",
    "@sis-cc/dotstatsuite-components": "^1.4.0",
    "@svgr/webpack": "2.4.1",
    "accept-language-parser": "^1.5.0",
    "axios": "^0.19.0",
    "babel-core": "7.0.0-bridge.0",
    "babel-eslint": "9.0.0",
    "babel-jest": "^23.4.2",
    "babel-loader": "8.0.4",
    "bfj": "6.1.1",
    "case-sensitive-paths-webpack-plugin": "2.1.2",
    "chalk": "2.4.1",
    "classnames": "^2.2.6",
    "compression": "^1.7.3",
    "cors": "^2.8.4",
    "css-loader": "1.0.0",
    "debug": "^4.1.0",
    "dotenv": "6.0.0",
    "dotenv-expand": "4.2.0",
    "enzyme-adapter-react-16": "^1.6.0",
    "eslint": "6.0.1",
    "eslint-config-react-app": "^3.0.5",
    "eslint-loader": "2.1.1",
    "eslint-plugin-flowtype": "2.50.1",
    "eslint-plugin-import": "2.14.0",
    "eslint-plugin-jsx-a11y": "6.1.2",
    "eslint-plugin-react": "7.11.1",
    "evtx": "^0.3.3",
    "express": "^4.16.4",
    "file-loader": "2.0.0",
    "final-form": "^4.12.0",
    "fork-ts-checker-webpack-plugin-alt": "0.4.14",
    "history": "^4.9.0",
    "html-webpack-plugin": "4.0.0-alpha.2",
    "htmlescape": "^1.1.1",
    "http-status": "^1.2.0",
    "husky": "^1.3.1",
    "identity-obj-proxy": "3.0.0",
    "jest": "23.6.0",
    "jest-pnp-resolver": "1.0.1",
    "jest-resolve": "23.6.0",
    "jsonwebtoken": "^8.5.1",
    "jwk-to-pem": "^2.0.1",
    "keycloak-js": "^6.0.1",
    "keycloak-verify": "^0.3.1",
    "md5-file": "^4.0.0",
    "mini-css-extract-plugin": "0.4.3",
    "morgan": "^1.9.1",
    "morgan-debug": "^2.0.0",
    "nodemon": "^1.18.5",
    "optimize-css-assets-webpack-plugin": "5.0.1",
    "pnp-webpack-plugin": "1.1.0",
    "postcss-flexbugs-fixes": "4.1.0",
    "postcss-loader": "3.0.0",
    "postcss-preset-env": "6.0.6",
    "postcss-safe-parser": "4.0.1",
    "prettier": "^1.14.3",
    "prop-types": "^15.6.2",
    "ramda": "^0.25.0",
    "react": "^16.3.2",
    "react-app-polyfill": "^0.1.3",
    "react-dev-utils": "^6.1.1",
    "react-dom": "^16.6.0",
    "react-final-form": "^4.1.0",
    "react-google-recaptcha": "^1.0.5",
    "react-intl": "^2.8.0",
    "react-jss": "^8.6.1",
    "react-keycloak": "^6.1.0",
    "react-loadable": "^5.5.0",
    "react-redux": "^6.0.1",
    "react-router-dom": "^5.0.1",
    "recompose": "^0.30.0",
    "redux": "^4.0.1",
    "redux-devtools-extension": "^2.13.8",
    "redux-logger": "^3.0.6",
    "redux-thunk": "^2.3.0",
    "reselect": "^4.0.0",
    "resolve": "1.8.1",
    "sass-loader": "^7.1.0",
    "style-loader": "0.23.0",
    "terser-webpack-plugin": "^1.2.1",
    "url-loader": "1.1.1",
    "webpack": "4.19.1",
    "webpack-dev-server": "3.1.9",
    "webpack-manifest-plugin": "2.0.4",
    "workbox-webpack-plugin": "3.6.3"
  },
  "scripts": {
    "dist": "cross-env NODE_ENV=production babel --copy-files  src -d dist",
    "start:run": "cross-env NODE_ENV=production DEBUG=webapp* node dist/server",
    "start:srv": "cross-env NODE_ENV=development DEBUG=webapp* nodemon --watch src/lib --watch src/server --exec 'babel-node src/server'",
    "start:proxy": "cross-env DEBUG=webapp* NODE_ENV=development nodemon -q --ext js,json --watch src/proxy --exec 'babel-node src/proxy'",
    "start:mock": "cross-env DEBUG=farso* farso-server --config src/mock/farso.config.js",
    "precommit": "lint-staged",
    "eslint-check": "eslint --print-config .eslintrc.json | eslint-config-prettier-check",
    "lint": "eslint src --color",
    "lint:eslint": "eslint --ignore-pattern '!.eslintrc.js'",
    "wtest": "cross-env NODE_ENV=test node scripts/test.js --env=jsdom",
    "test": "cross-env NODE_ENV=test jest --runInBand --env=jsdom",
    "start": "cross-env NODE_ENV=development node scripts/start.js",
    "build": "cross-env CI=false NODE_ENV=production node scripts/build.js",
    "bundle:stats": "cross-env NODE_ENV=production webpack -p --config ./config/webpack.config.prod.js --profile --json > stats.json",
    "bundle:analyse": "cross-env webpack-bundle-analyzer ./stats.json ./build --report --mode=static"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": [
    ">0.2%",
    "not dead",
    "not ie <= 11",
    "not op_mini all"
  ],
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.{js,css}": [
      "prettier --write",
      "git add",
      "yarn lint:eslint"
    ]
  },
  "jest": {
    "setupTestFrameworkScriptFile": "<rootDir>/enzyme.config.js",
    "collectCoverageFrom": [
      "src/**/*.{js,jsx,ts,tsx}",
      "!src/proxy/**"
    ],
    "resolver": "jest-pnp-resolver",
    "setupFiles": [
      "react-app-polyfill/jsdom"
    ],
    "testMatch": [
      "<rootDir>/src/**/tests/**/*.test.js"
    ],
    "testEnvironment": "jsdom",
    "testURL": "http://localhost",
    "transform": {
      "^.+\\.(js|jsx|ts|tsx)$": "<rootDir>/node_modules/babel-jest",
      "^.+\\.css$": "<rootDir>/config/jest/cssTransform.js",
      "^(?!.*\\.(js|jsx|ts|tsx|css|json)$)": "<rootDir>/config/jest/fileTransform.js"
    },
    "transformIgnorePatterns": [
      "[/\\\\]node_modules[/\\\\].+\\.(js|jsx|ts|tsx)$",
      "^.+\\.module\\.(css|sass|scss)$"
    ],
    "moduleNameMapper": {
      "^react-native$": "react-native-web",
      "^.+\\.module\\.(css|sass|scss)$": "identity-obj-proxy"
    },
    "moduleFileExtensions": [
      "web.js",
      "js",
      "web.ts",
      "ts",
      "web.tsx",
      "tsx",
      "json",
      "web.jsx",
      "jsx",
      "node"
    ]
  },
  "babel": {
    "presets": [
      "@babel/preset-env",
      "@babel/preset-react"
    ],
    "plugins": [
      "@babel/plugin-transform-regenerator",
      "@babel/plugin-proposal-export-default-from",
      "@babel/plugin-syntax-dynamic-import",
      [
        "@babel/plugin-proposal-class-properties",
        {
          "loose": false
        }
      ],
      [
        "@babel/plugin-proposal-decorators",
        {
          "legacy": true
        }
      ]
    ]
  },
  "devDependencies": {
    "@babel/cli": "^7.0.0",
    "@babel/core": "^7.0.0",
    "@babel/node": "^7.0.0",
    "@babel/plugin-proposal-class-properties": "^7.1.0",
    "@babel/plugin-proposal-decorators": "^7.1.2",
    "@babel/plugin-proposal-do-expressions": "^7.0.0",
    "@babel/plugin-proposal-export-default-from": "^7.0.0",
    "@babel/plugin-proposal-export-namespace-from": "^7.0.0",
    "@babel/plugin-proposal-function-bind": "^7.0.0",
    "@babel/plugin-proposal-function-sent": "^7.0.0",
    "@babel/plugin-proposal-json-strings": "^7.0.0",
    "@babel/plugin-proposal-logical-assignment-operators": "^7.0.0",
    "@babel/plugin-proposal-nullish-coalescing-operator": "^7.0.0",
    "@babel/plugin-proposal-numeric-separator": "^7.0.0",
    "@babel/plugin-proposal-optional-chaining": "^7.0.0",
    "@babel/plugin-proposal-pipeline-operator": "^7.0.0",
    "@babel/plugin-proposal-throw-expressions": "^7.0.0",
    "@babel/plugin-syntax-dynamic-import": "^7.0.0",
    "@babel/plugin-syntax-import-meta": "^7.0.0",
    "@babel/plugin-transform-regenerator": "^7.0.0",
    "@babel/preset-env": "^7.1.0",
    "@babel/preset-react": "^7.0.0",
    "@babel/register": "^7.0.0",
    "babel-plugin-named-asset-import": "^0.2.3",
    "babel-plugin-ramda": "^1.6.3",
    "babel-preset-react-app": "^6.1.0",
    "cross-env": "^5.2.0",
    "enzyme": "^3.7.0",
    "enzyme-to-json": "^3.3.4",
    "eslint-plugin-prettier": "^3.0.0",
    "lint-staged": "^8.1.0"
  }
}
